public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/serf/
Date: Fri, 31 May 2024 07:46:12 +0000 (UTC)	[thread overview]
Message-ID: <1717141350.fea70a7479e1f710d90af5ea080112d03a9689ef.asturm@gentoo> (raw)

commit:     fea70a7479e1f710d90af5ea080112d03a9689ef
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri May 31 07:42:30 2024 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri May 31 07:42:30 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fea70a74

net-libs/serf: add 1.3.10

Closes: https://bugs.gentoo.org/923561
Closes: https://bugs.gentoo.org/929710
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 net-libs/serf/Manifest           |  1 +
 net-libs/serf/serf-1.3.10.ebuild | 73 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/net-libs/serf/Manifest b/net-libs/serf/Manifest
index 28e866e100e2..f3a75d4ad4a3 100644
--- a/net-libs/serf/Manifest
+++ b/net-libs/serf/Manifest
@@ -1 +1,2 @@
+DIST serf-1.3.10.tar.bz2 147744 BLAKE2B fed9ef4d5b16a5f1276a4a6f72ab938db18d4bd51c2a58311d2918f52f891bdb636f947cdc612b12a8978f75d27715b7695f21730d1b8a0545746281535369fc SHA512 19165274d35c694935cda33f99ef92a7663a5d9c540fb7fd6792aa0efe39941b2fa87ff8b61afd060c6676baec634fd33dc2e9d34ecbee45ed99dfaed077802c
 DIST serf-1.3.9.tar.bz2 145132 BLAKE2B 59776f85b409b2eaea81f3e07b0301515e20cbd2aa0ef05c1c38aa8152a6d5627e526e4bc160abb1fd438e9fa46f97096c639860729d2ea8e0b2fcfcf8222002 SHA512 9f5418d991840a08d293d1ecba70cd9534a207696d002f22dbe62354e7b005955112a0d144a76c89c7f7ad3b4c882e54974441fafa0c09c4aa25c49c021ca75d

diff --git a/net-libs/serf/serf-1.3.10.ebuild b/net-libs/serf/serf-1.3.10.ebuild
new file mode 100644
index 000000000000..f9f22cb29bd0
--- /dev/null
+++ b/net-libs/serf/serf-1.3.10.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit flag-o-matic python-any-r1 scons-utils toolchain-funcs
+
+DESCRIPTION="HTTP client library"
+HOMEPAGE="https://serf.apache.org/"
+SRC_URI="mirror://apache/${PN}/${P}.tar.bz2"
+
+LICENSE="Apache-2.0"
+SLOT="1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="kerberos"
+# Many test failures.
+RESTRICT="test"
+
+RDEPEND="
+	dev-libs/apr:1=
+	dev-libs/apr-util:1=
+	dev-libs/openssl:0=
+	sys-libs/zlib:0=
+	kerberos? ( virtual/krb5 )"
+DEPEND="${RDEPEND}"
+BDEPEND=">=dev-build/scons-2.3.0"
+
+PATCHES=( "${FILESDIR}"/${PN}-1.3.8-static-lib.patch )
+
+src_prepare() {
+	default
+
+	# https://code.google.com/p/serf/issues/detail?id=133
+	sed -e "/env.Append(CCFLAGS=\['-O2'\])/d" -i SConstruct || die
+
+	# need limits.h for PATH_MAX (only when EXTENSIONS is enabled)
+	[[ ${CHOST} == *-solaris* ]] && append-cppflags -D__EXTENSIONS__
+}
+
+src_compile() {
+	myesconsargs=(
+		BUILD_STATIC=no
+		PREFIX="${EPREFIX}/usr"
+		LIBDIR="${EPREFIX}/usr/$(get_libdir)"
+		# These config scripts are sent through a shell with an empty env
+		# which breaks the SYSROOT usage in them.  Set the vars inline to
+		# avoid that.
+		APR="SYSROOT='${SYSROOT}' ${SYSROOT}${EPREFIX}/usr/bin/apr-1-config"
+		APU="SYSROOT='${SYSROOT}' ${SYSROOT}${EPREFIX}/usr/bin/apu-1-config"
+		AR="$(tc-getAR)"
+		RANLIB="$(tc-getRANLIB)"
+		CC="$(tc-getCC)"
+		CPPFLAGS="${CPPFLAGS}"
+		CFLAGS="${CFLAGS}"
+		LINKFLAGS="${LDFLAGS}"
+	)
+
+	if use kerberos; then
+		myesconsargs+=( GSSAPI="${SYSROOT}${EPREFIX}/usr/bin/krb5-config" )
+	fi
+
+	escons "${myesconsargs[@]}"
+}
+
+src_test() {
+	escons check
+}
+
+src_install() {
+	escons install --install-sandbox="${D}"
+}


             reply	other threads:[~2024-05-31  7:46 UTC|newest]

Thread overview: 70+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-05-31  7:46 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-23 14:29 [gentoo-commits] repo/gentoo:master commit in: net-libs/serf/ Benda XU
2024-06-01 23:07 Sam James
2024-06-01 19:23 Sam James
2024-06-01 17:29 Sam James
2024-06-01 14:53 Arthur Zamarin
2024-06-01 11:03 Arthur Zamarin
2024-06-01 10:59 Arthur Zamarin
2023-05-04 19:04 Jakov Smolić
2023-02-01 10:05 Benda XU
2022-07-29  4:17 Sam James
2022-06-06 20:49 Jakov Smolić
2022-06-06 15:54 Jakov Smolić
2022-06-06 15:54 Jakov Smolić
2022-06-06 15:50 Jakov Smolić
2022-06-06 14:15 Jakov Smolić
2022-06-06 14:15 Jakov Smolić
2022-06-06 14:15 Jakov Smolić
2022-06-06 14:15 Jakov Smolić
2022-05-14  0:47 Sam James
2022-02-01 18:19 Jakov Smolić
2022-02-01 18:19 Jakov Smolić
2022-02-01 18:19 Jakov Smolić
2021-07-28 13:14 Marek Szuba
2021-05-03  8:58 Mikle Kolyada
2020-12-27 17:52 Fabian Groffen
2020-12-24  2:25 Mike Gilbert
2020-12-24  2:25 Mike Gilbert
2020-09-26 21:34 Sergei Trofimovich
2020-09-24  6:46 Agostino Sarubbo
2020-09-23 10:32 Agostino Sarubbo
2020-09-23 10:29 Agostino Sarubbo
2020-09-23 10:24 Agostino Sarubbo
2020-09-20 21:52 Thomas Deutschmann
2020-09-19 23:42 Sam James
2020-09-19 23:20 Sam James
2020-05-05 21:04 Sergei Trofimovich
2020-05-01 17:48 Agostino Sarubbo
2020-05-01 17:47 Agostino Sarubbo
2020-05-01 17:46 Agostino Sarubbo
2020-05-01 17:44 Agostino Sarubbo
2020-05-01 17:43 Agostino Sarubbo
2020-05-01 17:42 Agostino Sarubbo
2020-05-01  8:40 Mart Raudsepp
2020-02-11 18:54 Michał Górny
2019-12-26 17:09 Craig Andrews
2019-07-29 15:38 Aaron Bauman
2019-05-12 20:56 Thomas Deutschmann
2019-05-10  4:41 Markus Meier
2019-05-03  7:11 Sergei Trofimovich
2019-05-02 20:56 Mikle Kolyada
2019-04-24 17:02 Sergei Trofimovich
2019-04-19 18:26 Aaron Bauman
2018-11-27 16:01 Tobias Klausmann
2018-11-18 10:52 Sergei Trofimovich
2018-11-18 10:41 Sergei Trofimovich
2018-11-17 14:07 Mikle Kolyada
2018-11-16 19:08 Sergei Trofimovich
2018-11-15 15:48 Thomas Deutschmann
2018-10-19 17:39 Mike Gilbert
2018-05-01  7:41 Markus Meier
2018-04-24 15:14 Mart Raudsepp
2018-04-01 11:06 Sergei Trofimovich
2018-03-24 21:19 Sergei Trofimovich
2017-07-26 18:37 Robin H. Johnson
2017-03-21 15:46 Michael Haubenwallner
2017-03-01  0:35 Michael Weber
2016-11-27  6:01 Göktürk Yüksek
2016-02-08  8:44 Fabian Groffen
2016-02-08  8:44 Fabian Groffen

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1717141350.fea70a7479e1f710d90af5ea080112d03a9689ef.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox